## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface ImperativeOCLPackage.Literals

Enclosing interface:
  ImperativeOCLPackage

    public static interface ImperativeOCLPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `ALT_EXP` The meta object literal for the '`Alt Exp`' class
`static EReference` `ALT_EXP__BODY` The meta object literal for the 'Body' containment reference feature
`static EReference` `ALT_EXP__CONDITION` The meta object literal for the 'Condition' containment reference feature
`static EClass` `ASSERT_EXP` The meta object literal for the '`Assert Exp`' class
`static EReference` `ASSERT_EXP__ASSERTION` The meta object literal for the 'Assertion' containment reference feature
`static EReference` `ASSERT_EXP__LOG` The meta object literal for the 'Log' containment reference feature
`static EAttribute` `ASSERT_EXP__SEVERITY` The meta object literal for the 'Severity' attribute feature
`static EClass` `ASSIGN_EXP` The meta object literal for the '`Assign Exp`' class
`static EReference` `ASSIGN_EXP__DEFAULT_VALUE` The meta object literal for the 'Default Value' containment reference feature
`static EAttribute` `ASSIGN_EXP__IS_RESET` The meta object literal for the 'Is Reset' attribute feature
`static EReference` `ASSIGN_EXP__LEFT` The meta object literal for the 'Left' containment reference feature
`static EReference` `ASSIGN_EXP__VALUE` The meta object literal for the 'Value' containment reference list feature
`static EClass` `BLOCK_EXP` The meta object literal for the '`Block Exp`' class
`static EReference` `BLOCK_EXP__BODY` The meta object literal for the 'Body' containment reference list feature
`static EClass` `BREAK_EXP` The meta object literal for the '`Break Exp`' class
`static EClass` `CATCH_EXP` The meta object literal for the '`Catch Exp`' class
`static EReference` `CATCH_EXP__BODY` The meta object literal for the 'Body' containment reference list feature
`static EReference` `CATCH_EXP__EXCEPTION` The meta object literal for the 'Exception' reference list feature
`static EClass` `COMPUTE_EXP` The meta object literal for the '`Compute Exp`' class
`static EReference` `COMPUTE_EXP__BODY` The meta object literal for the 'Body' containment reference feature
`static EReference` `COMPUTE_EXP__RETURNED_ELEMENT` The meta object literal for the 'Returned Element' containment reference feature
`static EClass` `CONTINUE_EXP` The meta object literal for the '`Continue Exp`' class
`static EClass` `DICT_LITERAL_EXP` The meta object literal for the '`Dict Literal Exp`' class
`static EReference` `DICT_LITERAL_EXP__PART` The meta object literal for the 'Part' containment reference list feature
`static EClass` `DICT_LITERAL_PART` The meta object literal for the '`Dict Literal Part`' class
`static EReference` `DICT_LITERAL_PART__KEY` The meta object literal for the 'Key' containment reference feature
`static EReference` `DICT_LITERAL_PART__VALUE` The meta object literal for the 'Value' containment reference feature
`static EClass` `DICTIONARY_TYPE` The meta object literal for the '`Dictionary Type`' class
`static EReference` `DICTIONARY_TYPE__KEY_TYPE` The meta object literal for the 'Key Type' reference feature
`static EClass` `FOR_EXP` The meta object literal for the '`For Exp`' class
`static EClass` `IMPERATIVE_EXPRESSION` The meta object literal for the '`Imperative Expression`' class
`static EClass` `IMPERATIVE_ITERATE_EXP` The meta object literal for the '`Imperative Iterate Exp`' class
`static EReference` `IMPERATIVE_ITERATE_EXP__TARGET` The meta object literal for the 'Target' containment reference feature
`static EClass` `IMPERATIVE_LOOP_EXP` The meta object literal for the '`Imperative Loop Exp`' class
`static EReference` `IMPERATIVE_LOOP_EXP__CONDITION` The meta object literal for the 'Condition' containment reference feature
`static EClass` `INSTANTIATION_EXP` The meta object literal for the '`Instantiation Exp`' class
`static EReference` `INSTANTIATION_EXP__ARGUMENT` The meta object literal for the 'Argument' containment reference list feature
`static EReference` `INSTANTIATION_EXP__EXTENT` The meta object literal for the 'Extent' reference feature
`static EReference` `INSTANTIATION_EXP__INSTANTIATED_CLASS` The meta object literal for the 'Instantiated Class' reference feature
`static EClass` `LIST_LITERAL_EXP` The meta object literal for the '`List Literal Exp`' class
`static EReference` `LIST_LITERAL_EXP__ELEMENT` The meta object literal for the 'Element' containment reference list feature
`static EClass` `LIST_TYPE` The meta object literal for the '`List Type`' class
`static EClass` `LOG_EXP` The meta object literal for the '`Log Exp`' class
`static EReference` `LOG_EXP__CONDITION` The meta object literal for the 'Condition' containment reference feature
`static EClass` `ORDERED_TUPLE_LITERAL_EXP` The meta object literal for the '`Ordered Tuple Literal Exp`' class
`static EReference` `ORDERED_TUPLE_LITERAL_EXP__PART` The meta object literal for the 'Part' containment reference list feature
`static EClass` `ORDERED_TUPLE_LITERAL_PART` The meta object literal for the '`Ordered Tuple Literal Part`' class
`static EReference` `ORDERED_TUPLE_LITERAL_PART__VALUE` The meta object literal for the 'Value' containment reference feature
`static EClass` `ORDERED_TUPLE_TYPE` The meta object literal for the '`Ordered Tuple Type`' class
`static EReference` `ORDERED_TUPLE_TYPE__ELEMENT_TYPE` The meta object literal for the 'Element Type' reference list feature
`static EClass` `RAISE_EXP` The meta object literal for the '`Raise Exp`' class
`static EReference` `RAISE_EXP__ARGUMENT` The meta object literal for the 'Argument' containment reference feature
`static EReference` `RAISE_EXP__EXCEPTION` The meta object literal for the 'Exception' reference feature
`static EClass` `RETURN_EXP` The meta object literal for the '`Return Exp`' class
`static EReference` `RETURN_EXP__VALUE` The meta object literal for the 'Value' containment reference feature
`static EEnum` `SEVERITY_KIND` The meta object literal for the '`Severity Kind`' enum
`static EClass` `SWITCH_EXP` The meta object literal for the '`Switch Exp`' class
`static EReference` `SWITCH_EXP__ALTERNATIVE_PART` The meta object literal for the 'Alternative Part' containment reference list feature
`static EReference` `SWITCH_EXP__ELSE_PART` The meta object literal for the 'Else Part' containment reference feature
`static EClass` `TRY_EXP` The meta object literal for the '`Try Exp`' class
`static EReference` `TRY_EXP__EXCEPT_CLAUSE` The meta object literal for the 'Except Clause' containment reference list feature
`static EReference` `TRY_EXP__TRY_BODY` The meta object literal for the 'Try Body' containment reference list feature
`static EClass` `TYPEDEF` The meta object literal for the '`Typedef`' class
`static EReference` `TYPEDEF__BASE` The meta object literal for the 'Base' reference feature
`static EReference` `TYPEDEF__CONDITION` The meta object literal for the 'Condition' containment reference feature
`static EClass` `UNLINK_EXP` The meta object literal for the '`Unlink Exp`' class
`static EReference` `UNLINK_EXP__ITEM` The meta object literal for the 'Item' containment reference feature
`static EReference` `UNLINK_EXP__TARGET` The meta object literal for the 'Target' containment reference feature
`static EClass` `UNPACK_EXP` The meta object literal for the '`Unpack Exp`' class
`static EReference` `UNPACK_EXP__SOURCE` The meta object literal for the 'Source' containment reference feature
`static EReference` `UNPACK_EXP__TARGET_VARIABLE` The meta object literal for the 'Target Variable' reference list feature
`static EClass` `VARIABLE_INIT_EXP` The meta object literal for the '`Variable Init Exp`' class
`static EReference` `VARIABLE_INIT_EXP__REFERRED_VARIABLE` The meta object literal for the 'Referred Variable' containment reference feature
`static EAttribute` `VARIABLE_INIT_EXP__WITH_RESULT` The meta object literal for the 'With Result' attribute feature
`static EClass` `WHILE_EXP` The meta object literal for the '`While Exp`' class
`static EReference` `WHILE_EXP__BODY` The meta object literal for the 'Body' containment reference feature
`static EReference` `WHILE_EXP__CONDITION` The meta object literal for the 'Condition' containment reference feature

Field Detail

### ALT_EXP

    static final EClass ALT_EXP

  The meta object literal for the '`Alt Exp`' class.

  See Also:
    `AltExpImpl`, `ImperativeOCLPackageImpl.getAltExp()`

### ALT_EXP__BODY

    static final EReference ALT_EXP__BODY

  The meta object literal for the 'Body' containment reference feature.

### ALT_EXP__CONDITION

    static final EReference ALT_EXP__CONDITION

  The meta object literal for the 'Condition' containment reference feature.

### ASSERT_EXP

    static final EClass ASSERT_EXP

  The meta object literal for the '`Assert Exp`' class.

  See Also:
    `AssertExpImpl`, `ImperativeOCLPackageImpl.getAssertExp()`

### ASSERT_EXP__ASSERTION

    static final EReference ASSERT_EXP__ASSERTION

  The meta object literal for the 'Assertion' containment reference feature.

### ASSERT_EXP__LOG

    static final EReference ASSERT_EXP__LOG

  The meta object literal for the 'Log' containment reference feature.

### ASSERT_EXP__SEVERITY

    static final EAttribute ASSERT_EXP__SEVERITY

  The meta object literal for the 'Severity' attribute feature.

### ASSIGN_EXP

    static final EClass ASSIGN_EXP

  The meta object literal for the '`Assign Exp`' class.

  See Also:
    `AssignExpImpl`, `ImperativeOCLPackageImpl.getAssignExp()`

### ASSIGN_EXP__DEFAULT_VALUE

    static final EReference ASSIGN_EXP__DEFAULT_VALUE

  The meta object literal for the 'Default Value' containment reference feature.

### ASSIGN_EXP__IS_RESET

    static final EAttribute ASSIGN_EXP__IS_RESET

  The meta object literal for the 'Is Reset' attribute feature.

### ASSIGN_EXP__LEFT

    static final EReference ASSIGN_EXP__LEFT

  The meta object literal for the 'Left' containment reference feature.

### ASSIGN_EXP__VALUE

    static final EReference ASSIGN_EXP__VALUE

  The meta object literal for the 'Value' containment reference list feature.

### BLOCK_EXP

    static final EClass BLOCK_EXP

  The meta object literal for the '`Block Exp`' class.

  See Also:
    `BlockExpImpl`, `ImperativeOCLPackageImpl.getBlockExp()`

### BLOCK_EXP__BODY

    static final EReference BLOCK_EXP__BODY

  The meta object literal for the 'Body' containment reference list feature.

### BREAK_EXP

    static final EClass BREAK_EXP

  The meta object literal for the '`Break Exp`' class.

  See Also:
    `BreakExpImpl`, `ImperativeOCLPackageImpl.getBreakExp()`

### CATCH_EXP

    static final EClass CATCH_EXP

  The meta object literal for the '`Catch Exp`' class.

  See Also:
    `CatchExpImpl`, `ImperativeOCLPackageImpl.getCatchExp()`

### CATCH_EXP__BODY

    static final EReference CATCH_EXP__BODY

  The meta object literal for the 'Body' containment reference list feature.

### CATCH_EXP__EXCEPTION

    static final EReference CATCH_EXP__EXCEPTION

  The meta object literal for the 'Exception' reference list feature.

### COMPUTE_EXP

    static final EClass COMPUTE_EXP

  The meta object literal for the '`Compute Exp`' class.

  See Also:
    `ComputeExpImpl`, `ImperativeOCLPackageImpl.getComputeExp()`

### COMPUTE_EXP__BODY

    static final EReference COMPUTE_EXP__BODY

  The meta object literal for the 'Body' containment reference feature.

### COMPUTE_EXP__RETURNED_ELEMENT

    static final EReference COMPUTE_EXP__RETURNED_ELEMENT

  The meta object literal for the 'Returned Element' containment reference feature.

### CONTINUE_EXP

    static final EClass CONTINUE_EXP

  The meta object literal for the '`Continue Exp`' class.

  See Also:
    `ContinueExpImpl`, `ImperativeOCLPackageImpl.getContinueExp()`

### DICT_LITERAL_EXP

    static final EClass DICT_LITERAL_EXP

  The meta object literal for the '`Dict Literal Exp`' class.

  See Also:
    `DictLiteralExpImpl`, `ImperativeOCLPackageImpl.getDictLiteralExp()`

### DICT_LITERAL_EXP__PART

    static final EReference DICT_LITERAL_EXP__PART

  The meta object literal for the 'Part' containment reference list feature.

### DICT_LITERAL_PART

    static final EClass DICT_LITERAL_PART

  The meta object literal for the '`Dict Literal Part`' class.

  See Also:
    `DictLiteralPartImpl`, `ImperativeOCLPackageImpl.getDictLiteralPart()`

### DICT_LITERAL_PART__KEY

    static final EReference DICT_LITERAL_PART__KEY

  The meta object literal for the 'Key' containment reference feature.

### DICT_LITERAL_PART__VALUE

    static final EReference DICT_LITERAL_PART__VALUE

  The meta object literal for the 'Value' containment reference feature.

### DICTIONARY_TYPE

    static final EClass DICTIONARY_TYPE

  The meta object literal for the '`Dictionary Type`' class.

  See Also:
    `DictionaryTypeImpl`, `ImperativeOCLPackageImpl.getDictionaryType()`

### DICTIONARY_TYPE__KEY_TYPE

    static final EReference DICTIONARY_TYPE__KEY_TYPE

  The meta object literal for the 'Key Type' reference feature.

### FOR_EXP

    static final EClass FOR_EXP

  The meta object literal for the '`For Exp`' class.

  See Also:
    `ForExpImpl`, `ImperativeOCLPackageImpl.getForExp()`

### IMPERATIVE_EXPRESSION

    static final EClass IMPERATIVE_EXPRESSION

  The meta object literal for the '`Imperative Expression`' class.

  See Also:
    `ImperativeExpressionImpl`, `ImperativeOCLPackageImpl.getImperativeExpression()`

### IMPERATIVE_ITERATE_EXP

    static final EClass IMPERATIVE_ITERATE_EXP

  The meta object literal for the '`Imperative Iterate Exp`' class.

  See Also:
    `ImperativeIterateExpImpl`, `ImperativeOCLPackageImpl.getImperativeIterateExp()`

### IMPERATIVE_ITERATE_EXP__TARGET

    static final EReference IMPERATIVE_ITERATE_EXP__TARGET

  The meta object literal for the 'Target' containment reference feature.

### IMPERATIVE_LOOP_EXP

    static final EClass IMPERATIVE_LOOP_EXP

  The meta object literal for the '`Imperative Loop Exp`' class.

  See Also:
    `ImperativeLoopExpImpl`, `ImperativeOCLPackageImpl.getImperativeLoopExp()`

### IMPERATIVE_LOOP_EXP__CONDITION

    static final EReference IMPERATIVE_LOOP_EXP__CONDITION

  The meta object literal for the 'Condition' containment reference feature.

### INSTANTIATION_EXP

    static final EClass INSTANTIATION_EXP

  The meta object literal for the '`Instantiation Exp`' class.

  See Also:
    `InstantiationExpImpl`, `ImperativeOCLPackageImpl.getInstantiationExp()`

### INSTANTIATION_EXP__ARGUMENT

    static final EReference INSTANTIATION_EXP__ARGUMENT

  The meta object literal for the 'Argument' containment reference list feature.

### INSTANTIATION_EXP__EXTENT

    static final EReference INSTANTIATION_EXP__EXTENT

  The meta object literal for the 'Extent' reference feature.

### INSTANTIATION_EXP__INSTANTIATED_CLASS

    static final EReference INSTANTIATION_EXP__INSTANTIATED_CLASS

  The meta object literal for the 'Instantiated Class' reference feature.

### LIST_LITERAL_EXP

    static final EClass LIST_LITERAL_EXP

  The meta object literal for the '`List Literal Exp`' class.

  Since:
    3.0
  See Also:
    `ListLiteralExpImpl`, `ImperativeOCLPackageImpl.getListLiteralExp()`

### LIST_LITERAL_EXP__ELEMENT

    static final EReference LIST_LITERAL_EXP__ELEMENT

  The meta object literal for the 'Element' containment reference list feature.

  Since:
    3.0

### LIST_TYPE

    static final EClass LIST_TYPE

  The meta object literal for the '`List Type`' class.

  See Also:
    `ListTypeImpl`, `ImperativeOCLPackageImpl.getListType()`

### LOG_EXP

    static final EClass LOG_EXP

  The meta object literal for the '`Log Exp`' class.

  See Also:
    `LogExpImpl`, `ImperativeOCLPackageImpl.getLogExp()`

### LOG_EXP__CONDITION

    static final EReference LOG_EXP__CONDITION

  The meta object literal for the 'Condition' containment reference feature.

### ORDERED_TUPLE_LITERAL_EXP

    static final EClass ORDERED_TUPLE_LITERAL_EXP

  The meta object literal for the '`Ordered Tuple Literal Exp`' class.

  See Also:
    `OrderedTupleLiteralExpImpl`, `ImperativeOCLPackageImpl.getOrderedTupleLiteralExp()`

### ORDERED_TUPLE_LITERAL_EXP__PART

    static final EReference ORDERED_TUPLE_LITERAL_EXP__PART

  The meta object literal for the 'Part' containment reference list feature.

### ORDERED_TUPLE_LITERAL_PART

    static final EClass ORDERED_TUPLE_LITERAL_PART

  The meta object literal for the '`Ordered Tuple Literal Part`' class.

  See Also:
    `OrderedTupleLiteralPartImpl`, `ImperativeOCLPackageImpl.getOrderedTupleLiteralPart()`

### ORDERED_TUPLE_LITERAL_PART__VALUE

    static final EReference ORDERED_TUPLE_LITERAL_PART__VALUE

  The meta object literal for the 'Value' containment reference feature.

### ORDERED_TUPLE_TYPE

    static final EClass ORDERED_TUPLE_TYPE

  The meta object literal for the '`Ordered Tuple Type`' class.

  See Also:
    `OrderedTupleTypeImpl`, `ImperativeOCLPackageImpl.getOrderedTupleType()`

### ORDERED_TUPLE_TYPE__ELEMENT_TYPE

    static final EReference ORDERED_TUPLE_TYPE__ELEMENT_TYPE

  The meta object literal for the 'Element Type' reference list feature.

### RAISE_EXP

    static final EClass RAISE_EXP

  The meta object literal for the '`Raise Exp`' class.

  See Also:
    `RaiseExpImpl`, `ImperativeOCLPackageImpl.getRaiseExp()`

### RAISE_EXP__ARGUMENT

    static final EReference RAISE_EXP__ARGUMENT

  The meta object literal for the 'Argument' containment reference feature.

### RAISE_EXP__EXCEPTION

    static final EReference RAISE_EXP__EXCEPTION

  The meta object literal for the 'Exception' reference feature.

### RETURN_EXP

    static final EClass RETURN_EXP

  The meta object literal for the '`Return Exp`' class.

  See Also:
    `ReturnExpImpl`, `ImperativeOCLPackageImpl.getReturnExp()`

### RETURN_EXP__VALUE

    static final EReference RETURN_EXP__VALUE

  The meta object literal for the 'Value' containment reference feature.

### SWITCH_EXP

    static final EClass SWITCH_EXP

  The meta object literal for the '`Switch Exp`' class.

  See Also:
    `SwitchExpImpl`, `ImperativeOCLPackageImpl.getSwitchExp()`

### SWITCH_EXP__ALTERNATIVE_PART

    static final EReference SWITCH_EXP__ALTERNATIVE_PART

  The meta object literal for the 'Alternative Part' containment reference list feature.

### SWITCH_EXP__ELSE_PART

    static final EReference SWITCH_EXP__ELSE_PART

  The meta object literal for the 'Else Part' containment reference feature.

### TRY_EXP

    static final EClass TRY_EXP

  The meta object literal for the '`Try Exp`' class.

  See Also:
    `TryExpImpl`, `ImperativeOCLPackageImpl.getTryExp()`

### TRY_EXP__EXCEPT_CLAUSE

    static final EReference TRY_EXP__EXCEPT_CLAUSE

  The meta object literal for the 'Except Clause' containment reference list feature.

### TRY_EXP__TRY_BODY

    static final EReference TRY_EXP__TRY_BODY

  The meta object literal for the 'Try Body' containment reference list feature.

### TYPEDEF

    static final EClass TYPEDEF

  The meta object literal for the '`Typedef`' class.

  See Also:
    `TypedefImpl`, `ImperativeOCLPackageImpl.getTypedef()`

### TYPEDEF__BASE

    static final EReference TYPEDEF__BASE

  The meta object literal for the 'Base' reference feature.

### TYPEDEF__CONDITION

    static final EReference TYPEDEF__CONDITION

  The meta object literal for the 'Condition' containment reference feature.

### UNLINK_EXP

    static final EClass UNLINK_EXP

  The meta object literal for the '`Unlink Exp`' class.

  See Also:
    `UnlinkExpImpl`, `ImperativeOCLPackageImpl.getUnlinkExp()`

### UNLINK_EXP__ITEM

    static final EReference UNLINK_EXP__ITEM

  The meta object literal for the 'Item' containment reference feature.

### UNLINK_EXP__TARGET

    static final EReference UNLINK_EXP__TARGET

  The meta object literal for the 'Target' containment reference feature.

### UNPACK_EXP

    static final EClass UNPACK_EXP

  The meta object literal for the '`Unpack Exp`' class.

  See Also:
    `UnpackExpImpl`, `ImperativeOCLPackageImpl.getUnpackExp()`

### UNPACK_EXP__SOURCE

    static final EReference UNPACK_EXP__SOURCE

  The meta object literal for the 'Source' containment reference feature.

### UNPACK_EXP__TARGET_VARIABLE

    static final EReference UNPACK_EXP__TARGET_VARIABLE

  The meta object literal for the 'Target Variable' reference list feature.

### VARIABLE_INIT_EXP

    static final EClass VARIABLE_INIT_EXP

  The meta object literal for the '`Variable Init Exp`' class.

  See Also:
    `VariableInitExpImpl`, `ImperativeOCLPackageImpl.getVariableInitExp()`

### VARIABLE_INIT_EXP__REFERRED_VARIABLE

    static final EReference VARIABLE_INIT_EXP__REFERRED_VARIABLE

  The meta object literal for the 'Referred Variable' containment reference feature.

### VARIABLE_INIT_EXP__WITH_RESULT

    static final EAttribute VARIABLE_INIT_EXP__WITH_RESULT

  The meta object literal for the 'With Result' attribute feature.

### WHILE_EXP

    static final EClass WHILE_EXP

  The meta object literal for the '`While Exp`' class.

  See Also:
    `WhileExpImpl`, `ImperativeOCLPackageImpl.getWhileExp()`

### WHILE_EXP__BODY

    static final EReference WHILE_EXP__BODY

  The meta object literal for the 'Body' containment reference feature.

### WHILE_EXP__CONDITION

    static final EReference WHILE_EXP__CONDITION

  The meta object literal for the 'Condition' containment reference feature.

### SEVERITY_KIND

    static final EEnum SEVERITY_KIND

  The meta object literal for the '`Severity Kind`' enum.

  See Also:
    `SeverityKind`, `ImperativeOCLPackageImpl.getSeverityKind()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.